<?php

declare(strict_types=1);

namespace App\Controller;

use App\Service\MinioService;
use Hyperf\HttpServer\Annotation\Controller;
use Hyperf\HttpServer\Annotation\RequestMapping;
use Psr\Http\Message\ResponseInterface;
use function Sodium\version_string;


class MinioController extends AbstractController
{
    /**
     * @Inject
     * @var MinioService
     */
    protected $minioService;

    /**
     * 获取所有MinIO存储桶列表
     *
     * @RequestMapping(path="buckets", methods="get")
     */
    public function listBuckets()
    {
        var_dump("====");
        $a = new MinioService();
        // 调用服务层的方法获取存储桶列表
        $bucketsResponse =$a->listBuckets();
        var_dump("试试：",$bucketsResponse);
        // 直接返回服务层生成的响应
        return $bucketsResponse;
    }
}